
//回调
TalentAllowanceInfoDlg.callBack = function (data){
    layer.close(data.obj);
    Feng.info(data.msg);
    if (data.code == 200) {
        $("#fileTable").bootstrapTable("refresh", {});
    }
}

//全选
TalentAllowanceInfoDlg.checkAll = function (id) {
    $("#"+id+" input").each(function () {
        $(this).iCheck("check");
    })
}
//反选
TalentAllowanceInfoDlg.unCheckAll = function (id) {
    $("#"+id+" input").each(function () {
        if(this.checked){
            $(this).iCheck("uncheck");
        }else{
            $(this).iCheck("check");
        }
    })
}
//初始化工作单位表的列
TalentAllowanceInfoDlg.initContractColumns = function(){
    var type = $("#type").val();
    var process = $("#process").val();
    var companyCode = $("#companyCode").val();
    if(type==1){
        return [
            {field: 'selectItem', checkbox:false,visible:false},
            {title: '企业名称', field: 'enterpriseName', visible: true, align: 'center', valign: 'middle',width:"100px",'class': 'uitd_showTip'},
            {title: '合同起始时间', field: 'startTime', visible: true, align: 'center', valign: 'middle',width:"90px",'class': 'uitd_showTip'},
            {title: '合同截止时间', field: 'endTime', visible: true, align: 'center', valign: 'middle',width:"90px",'class': 'uitd_showTip'},
            {title: '入职时间', field: 'entryTime', visible: true, align: 'center', valign: 'middle',width:"100px",'class': 'uitd_showTip'},
            {title: '离职时间', field: 'quitTime', visible: true, align: 'center', valign: 'middle',width:"100px",'class': 'uitd_showTip'},
            {title: '人才标签', field: 'talentTypeName', visible: true, align: 'center', valign: 'middle',width:"100px",'class': 'uitd_showTip'},
            {title: '首次来晋行政介绍信时间', field: 'letterTime', visible: true, align: 'center', valign: 'middle',width:"120px",'class': 'uitd_showTip'},
            {title:'认定条件证书取得时间',field:'identifyGetTime', visible: true, align: 'center', valign: 'middle',width:"120px",'class': 'uitd_showTip'},
            {title: '操作', field: 'id', visible: true, align: 'center', valign: 'middle',width:"150px",
                formatter : function(value,row,index){
                    var html = "";
                    if(process==1 && companyCode==CONFIG.COM_RSJ){
                        html = html + "<button type='button' onclick='TalentAllowanceInfoDlg.showEditContractModel(\""+value+"\")' style='margin-right: 10px' class='btn btn-xs btn-info'>" +
                            "<i class=\"fa fa-edit\"></i>修改" +
                            "</button>" ;
                    }
                    html  = html + "<button type='button' onclick='TalentAllowanceInfoDlg.showLog(\""+value+"\")' style='margin-right: 10px' class='btn btn-xs btn-success'>" +
                        "<i class=\"fa fa-book\"></i>日志" +
                        "</button>";
                    return html;
                }
            }
        ];
    }
    if(type==2){
        return [
            {field: 'selectItem', checkbox:false,visible:false},
            {title: '企业名称', field: 'enterpriseName', visible: true, align: 'center', valign: 'middle',width:"120px",'class': 'uitd_showTip'},
            {title: '合同起始时间', field: 'startTime', visible: true, align: 'center', valign: 'middle',width:"120px",'class': 'uitd_showTip'},
            {title: '合同截止时间', field: 'endTime', visible: true, align: 'center', valign: 'middle',width:"120px",'class': 'uitd_showTip'},
            {title: '入职时间', field: 'entryTime', visible: true, align: 'center', valign: 'middle',width:"80px"},
            {title: '离职时间', field: 'quitTime', visible: true, align: 'center', valign: 'middle',width:"80px"},
            {title: '操作', field: 'id', visible: true, align: 'center', valign: 'middle',width:"150px",
                formatter : function(value,row,index){
                    var html = "";
                    if(process==1 && companyCode==CONFIG.COM_IC){
                        html = html + "<button type='button' onclick='TalentAllowanceInfoDlg.showEditContractModel(\""+value+"\")' style='margin-right: 10px' class='btn btn-xs btn-info'>" +
                            "<i class=\"fa fa-edit\"></i>修改" +
                            "</button>" ;
                    }
                    html  = html + "<button type='button' onclick='TalentAllowanceInfoDlg.showLog(\""+value+"\")' style='margin-right: 10px' class='btn btn-xs btn-success'>" +
                        "<i class=\"fa fa-book\"></i>日志" +
                        "</button>";
                    return html;
                }
            }
        ];
    }
}

//初始化项目表的列
TalentAllowanceInfoDlg.initProjectColumns = function (enterpriseId) {
    var process = $("#process").val();
    return [
        {field: 'selectItem', checkbox:false,visible:false},
        {title: '核查项目名称', field: 'projectName', visible: true, align: 'center', valign: 'middle',width:"15%",'class': 'uitd_showTip'},
        {title: '详情', field: 'months', visible: true, align: 'center', valign: 'middle',width:"35%",
            formatter : function(value,row,index){
                if(value!=null && value!=''){
                    return value;
                }else if(row.days!=null && row.days!=''){
                    return row.days + "天";
                }else{
                    return "";
                }
            }
        },
        {title: '附件材料', field: 'fileUrl', visible: true, align: 'center', valign: 'middle',width:"35%",
            formatter : function(value,row,index){
                if(Feng.isNotEmptyStr(value)){
                    var sn = value.lastIndexOf(".");
                    var suffix = value.substring(sn+1,value.length);
                    var imgStr = "";
                    if(suffix=="pdf"||suffix=="PDF"){
                        return  "<button type='button'  onclick=\"Feng.showPdf('"+value+"','"+row.id+"','"+row.projectName+"')\" class=\"btn btn-xs btn-danger\"><i class=\"fa fa-file-pdf-o\" aria-hidden=\"true\"></i></button>";
                    }else if(suffix == "xlsx" || suffix=="XLSX" || suffix == 'xls' || suffix == 'XLS'){
                        return "<button type='button'  onclick=\"Feng.showExcel('"+value+"','"+row.id+"','"+row.projectName+"')\" class=\"btn btn-xs btn-danger\"><i class=\"fa fa-file-excel-o\" aria-hidden=\"true\"></i></button>";
                    }else{
                        return '<img class=\"imgs\"  src=\"'+value+'\" style=\"width:25px;height:25px;\">';
                    }
                }else{
                    return "忽略";
                }
            }
        },
        {title: '备注', field: 'description', visible: true, align: 'center', valign: 'middle',width:"25%",'class': 'uitd_showTip'},
        {title: '操作', field: 'project', visible: true, align: 'left', valign: 'middle',width:"20%",
            formatter : function(value,row,index){
                var html = "";
                if (process == 1){
                    var companyCode = $("#companyCode").val();
                    if(companyCode == CONFIG.COM_RSJ || companyCode == CONFIG.COM_IC){
                        if(value == 1){
                            html = html + "<button type='button' data-value='"+row.description+"' onclick=\"TalentAllowanceInfoDlg.showEditProjectModal('"+row.project+"','"+row.id+"','"+enterpriseId+"','"+row.months+"','"+row.days+"',this)\" style='margin-left: 5px;'  class=\"btn btn-xs btn-danger\">" +
                                "<i class=\"fa fa-edit\"></i>修改" +
                                "</button>" ;
                        }
                    }
                    if((companyCode == CONFIG.COM_SWJ || companyCode == CONFIG.COM_RSJ )&& value==2){
                        html = html + "<button type='button' data-value='"+row.description+"' onclick=\"TalentAllowanceInfoDlg.showEditProjectModal('"+row.project+"','"+row.id+"','"+enterpriseId+"','"+row.months+"','"+row.days+"',this)\" style='margin-left: 5px;'  class=\"btn btn-xs btn-danger\">" +
                            "<i class=\"fa fa-edit\"></i>修改" +
                            "</button>" ;
                    }
                }
                if(process==2 && (value==3 || value==4 || value==5 || value==6 || value==7)){
                    html = html + "<button type='button' data-value='"+row.description+"' onclick=\"TalentAllowanceInfoDlg.showEditProjectModal('"+row.project+"','"+row.id+"','"+enterpriseId+"','"+row.months+"','"+row.days+"',this)\" style='margin-left: 5px;' class=\"btn btn-xs btn-danger\">" +
                        "<i class=\"fa fa-edit\"></i>修改" +
                        "</button>" ;
                }
                if (value == 1 || value ==2){
                    html = html + "<button type='button' onclick=\"TalentAllowanceInfoDlg.showFileTable('"+row.project+"')\"  style='margin-left: 5px;' class=\"btn btn-xs btn-default\"><i class=\"fa fa-book\"></i>查看附件</button>" ;
                }
                if(Feng.isNotEmptyStr(row.fileUrl)){
                    html = html + "<button type='button' onclick=\"TalentAllowanceInfoDlg.downloadFileByUrl('"+row.fileUrl+"')\" style='margin-left: 5px;' class=\"btn btn-xs btn-success\"><i class=\"fa fa-download\"></i>下载</button>" ;
                }
                html = html +
                    "<button type='button' onclick='TalentAllowanceInfoDlg.showLog(\""+row.id+"\")'  class='btn btn-xs btn-success' style='margin-left: 5px;'>" +
                    "<i class=\"fa fa-book\"></i>日志" +
                    "</button>";
                return html;
            }
        }
    ];
}

TalentAllowanceInfoDlg.showFileTable = function(project){
    var api = (project == 1)?CONFIG.jbt_concat:CONFIG.jbt_tax;
    var index = layer.open({
        type: 1,
        title:"附件材料",
        shade: 0,
        fixed:false,
        content: '<ul class="showImgs" style="padding: 0px 5px 0px 5px;"><li style="width: 80%;font-weight: bold;padding-top: 5px;">附件原名</li><li style="width: 10%;font-weight: bold;padding-top: 5px;">预览</li><li style="width: 10%;font-weight: bold;padding-top: 5px;">操作</li></ul>',
        area: ['50%', '50%'],
        maxmin: true,
        btn: ['<i class="fa fa-eraser"></i>&nbsp;&nbsp;关闭'],
        success :function (layero, index) {
            var ajax = new $ax(Feng.ctxPath + "/api/common/getTalentFileByApi?api="+api+"&mainId="+$("#id").val(), function (data) {
                if(data.code==500){
                    Feng.error(data.msg);
                    return;
                }
                var html = "";
                var files = data.obj;
                for(var key in files){
                    var sn = files[key].url.lastIndexOf(".");
                    var suffix = files[key].url.substring(sn+1,files[key].url.length);
                    var imgStr = "";
                    if(suffix=="pdf"||suffix=="PDF"){
                        imgStr = "<button type='button'  onclick=\"Feng.showPdf('"+files[key].url+"','"+files[key].id+"','"+files[key].orignName+"')\" class=\"btn btn-xs btn-danger\"><i class=\"fa fa-file-pdf-o\" aria-hidden=\"true\"></i></button>";
                    }else if(suffix == "xlsx" || suffix=="XLSX" || suffix == 'xls' || suffix == 'XLS'){
                        imgStr = "<button type='button'  onclick=\"Feng.showExcel('"+files[key].url+"','"+files[key].id+"','"+files[key].orignName+"')\" class=\"btn btn-xs btn-danger\"><i class=\"fa fa-file-excel-o\" aria-hidden=\"true\"></i></button>";
                    }else{
                        imgStr = '<img class=\"imgUrl\"  src=\"'+files[key].url+'\" style=\"width:25px;height:25px;\">';
                    }
                    html = html + '<li style="display: none">'+files[key].id+'</li>\n'+
                        '<li style="width: 80%;padding-top: 5px;">'+files[key].orignName+'</li>\n'+
                        '<li style="width: 10%;">'+imgStr+'</li>\n'+
                        "<li style='width: 10%;padding-top: 2px;'><button type='button' onclick=\"Feng.downloadFile('"+files[key].id+"',1)\" class=\"btn btn-xs btn-success\"><i class=\"fa fa-download\" aria-hidden=\"true\"></i>下载</button></li>";
                }
                $(".showImgs").append(html);
                $(".showImgs").viewer({
                    fullscreen:false
                });
            });
            ajax.start();
        }
    });
}


/**
 * 初始化附件类别表的列
 */
TalentAllowanceInfoDlg.initFileTypeColumn = function () {
    return [
        {field: 'selectItem', checkbox:false,visible:false},
        {title: '名称', field: 'name', visible: true, align: 'center', valign: 'middle',width:"52%",'class': 'uitd_showTip',
            formatter : function(value,row,index){
                if(row.must==1){
                    return '<i class="fa fa-paste"></i><span style="font-weight:bold;color:red;font-size:14px;font-family:宋体"> * </span> '+ value;
                }if(row.must==2){
                    return '<i class="fa fa-paste"></i>'+value;
                }
            }
        },
        {title: '模板', field: 'templateUrl', visible: true, align: 'center', valign: 'middle',width:"8%",
            formatter : function(value,row,index){
                if(value==null||value==''||value=='null'){
                    return '无';
                }
                return "<button type='button' onclick=\"Feng.downloadFile('"+value+"',3)\" style='margin-right: 10px' class=\"btn btn-xs btn-primary\">" +
                    "<i class=\"fa fa-download\"></i>下载" +
                    "</button>";
            }
        },
        {title: '备注', field: 'description', visible: true, align: 'center', valign: 'middle',width:"40%",'class': 'uitd_showTip'},
    ]
};

TalentAllowanceInfoDlg.initArrangeColumn = function(){
    return [
        {field: 'selectItem', checkbox:false,visible:false},
        {title: '人才层次', field: 'talentArrangeName', visible: true, align: 'center', valign: 'middle',width:"100px"},
        {title: '认定条件', field: 'identifyConditionText', visible: true, align: 'center', valign: 'middle',width:"120px",'class': 'uitd_showTip'},
        {title: '人才证书发证日期', field: 'startTime', visible: true, align: 'center', valign: 'middle',width:"100px"},
        {title: '人才证书有效期', field: 'endTime', visible: true, align: 'center', valign: 'middle',width:"100px"},
        {title: '忽略其他条件可享受月份', field: 'prepareMonths', visible: true, align: 'center', valign: 'middle',width:"150px",'class': 'uitd_showTip'},
        {title: '综合可享受月份', field: 'months', visible: true, align: 'center', valign: 'middle',width:"150px",'class': 'uitd_showTip'},
        {title: '备注', field: 'description', visible: true, align: 'center', valign: 'middle',width:"150px",'class': 'uitd_showTip'},

    ]
}


TalentAllowanceInfoDlg.downloadFileByUrl = function(url){
    window.location.href = Feng.ctxPath + "/api/commonDownload/downloadByUrl?url=" + url;
}

TalentAllowanceInfoDlg.showLog = function (id) {
    layer.open({
        type: 1,
        title:"日志",
        fixed:false,
        content: '<table id="'+id+'"></table>',
        area: ['80%', '80%'],
        maxmin: true,
        success :function (layero, index) {
            $('#'+id).bootstrapTable({
                url: Feng.ctxPath + "/api/talentChecklog/getJbtCheckLog",
                method: 'POST',
                contentType: "application/x-www-form-urlencoded; charset=UTF-8",
                search: false,					// 是否显示表格搜索，此搜索是客户端搜索，不会进服务端
                showRefresh: false,				// 是否显示刷新按钮
                clickToSelect: true,			// 是否启用点击选中行
                singleSelect: true,				// 设置True 将禁止多选
                striped: true,  				// 是否显示行间隔色
                pagination: false,   			// 设置为 true 会在表格底部显示分页条
                paginationHAlign: "left",
                paginationDetailHAlign: "right",
                sidePagination: "server",   	// 设置在哪里进行分页，可选值为 'client' 或者 'server'
                showColumns: false,
                queryParams: function (params) {
                    return {"type":CONFIG.project_jbt,"mainId":$("#id").val(),"typeFileId":id,"active":1}
                },
                columns:
                    [
                        {title: '步骤', field: 'stepName', visible: true, align: 'center', valign: 'middle',width:"10%",
                            formatter : function (value,row,index) {
                                return ""+value;
                            }
                        },
                        {title: '操作人', field: 'createUser', visible: true, align: 'center', valign: 'middle',width:"15%"},
                        {title: '操作时间', field: 'createTime', visible: true, align: 'center', valign: 'middle',width:"20%"},
                        {title: '描述', field: 'description', visible: true, align: 'center', valign: 'middle',width:"45%",
                            formatter : function (value,row,index) {
                                return '<span data-toggle="tooltip" title="'+ value +'">"'+value+'"</span>';
                            }
                        }
                    ]
                ,
                onPostBody: function () {
                    $('#'+id+"td.uitd_showTip").bind("mouseover", function () {
                        var htm = $(this).html();
                        $(this).webuiPopover({title: '详情', content: htm, trigger: 'hover'}).webuiPopover('show');
                    });
                }
            });
        }
    });
}

//初始化附件类别表单
TalentAllowanceInfoDlg.initFileTable = function (){
    TalentAllowanceInfoDlg.initContract();
    // Feng.showMiniFileModal(CONFIG.project_jbt,$("#type").val(),$("#id").val());
    var queryData = {};
    queryData['project'] = CONFIG.project_jbt;
    queryData['type'] = $("#type").val();
    $("#fileTable").bootstrapTable({
        url: Feng.ctxPath + "/api/talentInfo/findUnCommonFileType",
        method: 'POST',
        contentType: "application/x-www-form-urlencoded; charset=UTF-8",
        search: false,					// 是否显示表格搜索，此搜索是客户端搜索，不会进服务端
        showRefresh: false,				// 是否显示刷新按钮
        clickToSelect: true,			// 是否启用点击选中行
        singleSelect: true,				// 设置True 将禁止多选
        striped: true,  				// 是否显示行间隔色
        escape: true,
        pagination: false,   			// 设置为 true 会在表格底部显示分页条
        paginationHAlign: "left",
        paginationDetailHAlign: "right",
        sidePagination: "server",   	// 设置在哪里进行分页，可选值为 'client' 或者 'server'
        showColumns: false,
        detailView: true,               //是否显示父子表
        pageList: [10, 30, 50],
        queryParams: function (params) {
            return $.extend(queryData,params)
        },
        rowStyle: function (row, index) {
            return {classes:"info"};
        },
        columns: TalentAllowanceInfoDlg.initFileTypeColumn(),
        onPostBody: function () {
            $("td.uitd_showTip").bind("mouseover", function () {
                var htm = $(this).html();
                $(this).webuiPopover({title: '详情', content: htm, trigger: 'hover'}).webuiPopover('show');
            });
        },
        onLoadSuccess: function (data) {
            $("#fileTable").bootstrapTable('expandAllRows');
        },
        onExpandRow: function (index, row, $detail) {
            var ajax = new $ax(Feng.ctxPath + "/api/talentInfo/listTalentFile", function (data) {
                if(data==null||data.length==0){
                    return;
                }
                var html = '<ul class="imgs"><li style="width: 80%;font-weight: bold;padding-top: 5px;">附件原名</li><li style="width: 10%;font-weight: bold;padding-top: 5px;">预览</li><li style="width: 10%;font-weight: bold;padding-top: 5px;">操作</li>';
                for(var key in data){
                    var sn = data[key].url.lastIndexOf(".");
                    var suffix = data[key].url.substring(sn+1,data[key].url.length);
                    var imgStr = "";
                    if(suffix=="pdf"||suffix=="PDF"){
                        imgStr = "<button type='button'  onclick=\"Feng.showPdf('"+data[key].url+"','"+data[key].id+"','"+data[key].orignName+"')\" class=\"btn btn-xs btn-danger\"><i class=\"fa fa-file-pdf-o\" aria-hidden=\"true\"></i></button>";
                    }else if(suffix == "xlsx" || suffix=="XLSX" || suffix == 'xls' || suffix == 'XLS'){
                        imgStr = "<button type='button'  onclick=\"Feng.showExcel('"+data[key].url+"','"+data[key].id+"','"+data[key].orignName+"')\" class=\"btn btn-xs btn-danger\"><i class=\"fa fa-file-excel-o\" aria-hidden=\"true\"></i></button>";
                    }else{
                        imgStr = '<img class=\"imgUrl\"  src=\"'+data[key].url+'\" style=\"width:25px;height:25px;\">';
                    }
                    html = html + '<li style="display: none">'+data[key].id+'</li>\n'+
                        '<li style="width: 80%;padding-top: 5px;">'+data[key].orignName+'</li>\n'+
                        '<li style="width: 10%;">'+imgStr+'</li>\n'+
                        "<li style='width: 10%;padding-top: 2px;'><button type='button' onclick=\"Feng.downloadFile('"+data[key].id+"',1)\" class=\"btn btn-xs btn-success\"><i class=\"fa fa-download\" aria-hidden=\"true\"></i>下载</button></li>";
                }
                html = html + '</ul>';
                $detail.html(html);
                $(".imgs").viewer({
                    // toolbar:false,
                    fullscreen:false
                });
            }, function (data) {
                Feng.error("查询失败!" + data.responseJSON.message + "!");
            });
            var queryData = {};
            queryData["mainId"] = $("#id").val();
            queryData["fileTypeId"] = row.id;
            ajax.set(queryData);
            ajax.start();
        }
    });
}

/**
 * 
 */
TalentAllowanceInfoDlg.createCheckHtml = function () {
    var process = $("#process").val();
    var companyCode = $("#companyCode").val();
    var html = "";
    switch (process) {
        case '1':
            html =
                '<form id="checkForm">\n' +
                    '<div class="form-group" style="margin: 10px;">\n' +
                        '<label for="checkState" class="control-label">审核状态</label>\n' +
                        '<select class="form-control" id="checkStateModal" onchange="TalentAllowanceInfoDlg.toggleField()">\n' +
                            '<option value=""></option>\n' +
                            '<option value="3">审核通过</option>\n' +
                            '<option value="2">审核驳回</option>\n' +
                            '<option value="-1">审核不通过</option>\n' +
                        '</select>\n' +
                    '</div>\n' +
                    '<div class="form-group" style="margin: 10px;">\n' +
                        '<label for="checkMsg" class="control-label">审核意见</label>\n' +
                        '<textarea class="form-control" id="checkMsg" rows="5"></textarea>\n' +
                    '</div>\n' +
                    '<div class="form-group" id="field" style="display: none;margin: 10px">\n' ;
            if(companyCode == CONFIG.COM_RSJ || companyCode == CONFIG.COM_IC){
                html = html +
                        '<label for="field_concat" class="control-label">可修改合同时间</label>\n' +
                        '<div id="field_concat">\n' +
                        '</div>\n'+
                    '<label for="field_project" class="control-label">可修改字段</label>\n' +
                    '<div id="field_field">\n' +
                    '<ul><li style="width: 100%"><input type="checkbox" value="wage"><span>上一年度年薪(元)</span></li></ul>'+
                    '</div>\n';
            }
            html = html +
                        '<label for="field_project" class="control-label">可修改项目</label>\n' +
                        '<div id="field_project">\n' +
                        '</div>\n' +
                        '<label for="field_file" class="control-label">可修改附件</label>\n' +
                        '<div id="field_file">\n' +
                        '</div>\n' +
                        '<div class="form-group" style="text-align: center">\n' +
                            '<button type="button" class="btn btn-primary" onclick="TalentAllowanceInfoDlg.checkAll(\'field\')">全选</button>\n' +
                            '<button type="button" class="btn btn-success" onclick="TalentAllowanceInfoDlg.unCheckAll(\'field\')">反选</button>\n' +
                        '</div>\n' +
                    '</div>\n'+
                '</form>';
            break;
        case '3':
            html=
            '<form id="checkForm">\n' +
                '<div class="form-group" style="margin: 10px;">\n' +
                    '<label for="checkState" class="control-label">审核状态</label>\n' +
                    '<select class="form-control" id="checkStateModal" onchange="TalentAllowanceInfoDlg.toggleField()">\n' +
                        '<option value=""></option>\n' +
                        '<option value="3">审核通过</option>\n' +
                        '<option value="2">审核驳回</option>\n' +
                        '<option value="-1">审核不通过</option>\n' +
                    '</select>\n' +
                '</div>\n' +
                '<div class="form-group" style="display: none;margin: 10px;" id="toProcessDiv" >\n' +
                    '<label for="processLable" class=" control-label">驳回至</label>\n' +
                    '<select class="form-control" id="toProcess" onchange="TalentAllowanceInfoDlg.processChange(this)">\n' +
                        '<option value="">请选择</option>\n' +
                        '<option value="1">初级审核</option>\n' +
                        '<option value="2">走访核查</option>\n' +
                    '</select>\n' +
                '</div>\n' +
                '<div class="form-group" style="display: none;margin: 10px;" id="toDepDiv" >\n' +
                    '<label for="processLable" class=" control-label">驳回单位</label>\n' +
                    '<select class="form-control" id="toDep" multiple>\n' +
                        '<option value="rsj">人社局</option>\n' +
                        // '<option value="swj">税务局</option>\n' +
                        // '<option value="sbj">社保局</option>\n' +
                    '</select>\n' +
                '</div>\n'+
                '<div class="form-group" style="margin: 10px;">\n' +
                    '<label for="checkMsg" class="control-label">审核意见</label>\n' +
                    '<textarea class="form-control" id="checkMsg" rows="5"></textarea>\n' +
                '</div>\n' +
            '</form>';
            break;
    }
    return html;
}


TalentAllowanceInfoDlg.processChange = function (content) {
    var process = $(content).val();
    var  checkStateModal = $("#checkStateModal").val();
    if(process == 1  && checkStateModal == 2){
        $("#toDepDiv").css("display","block");
        $('#toDep').chosen({width: '100%',placeholder_text_multiple: '请选择驳回单位'});
    }else{
        $("#toDepDiv").css("display","none");
    }
}